import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# planner task reference list

Retrieve the references associated to a Planner task.

## Usage

```sh
m365 planner task reference list [options]
```

## Options

```md definition-list
`-i, --taskId <taskId>`
: ID of the task to retrieve references from
```

<Global />

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions |
  |-----------------|-------------|
  | Microsoft Graph | Tasks.Read  |

  </TabItem>
  <TabItem value="Application">

  | Resource        | Permissions    |
  |-----------------|----------------|
  | Microsoft Graph | Tasks.Read.All |

  </TabItem>
</Tabs>

## Examples

Retrieve the references of the specified planner task

```sh
m365 planner task reference list --taskId uBk5fK_MHkeyuPYlCo4OFpcAM
```

## Response

<Tabs>
  <TabItem value="JSON">

  ```json
  {
    "https%3A//microsoft%2Ecom": {
      "alias": null,
      "type": null,
      "previewPriority": "8585269191724168649Pp",
      "lastModifiedDateTime": "2023-01-25T23:02:53.107589Z",
      "lastModifiedBy": {
        "user": {
          "displayName": null,
          "id": "b2091e18-7882-4efe-b7d1-90703f5a5c65"
        }
      }
    }
  }
  ```

  </TabItem>
  <TabItem value="Text">

  ```txt
  https%3A//microsoft%2Ecom: {"alias":null,"type":null,"previewPriority":"8585269191724168649Pp","lastModifiedDateTime":"2023-01-25T23:02:53.107589Z","lastModifiedBy":{"user":{"displayName":null,"id":"b2091e18-7882-4efe-b7d1-90703f5a5c65"}}}
  ```

  </TabItem>
  <TabItem value="CSV">

  ```csv
  https%3A//microsoft%2Ecom
  "{""alias"":null,""type"":null,""previewPriority"":""8585269191724168649Pp"",""lastModifiedDateTime"":""2023-01-25T23:02:53.107589Z"",""lastModifiedBy"":{""user"":{""displayName"":null,""id"":""b2091e18-7882-4efe-b7d1-90703f5a5c65""}}}"
  ```

  </TabItem>
  <TabItem value="Markdown">

  ```md
  # planner task reference list --taskId "OopX1ANphEu7Lm4-0tVtl5cAFRGQ"

  Date: 4/2/2023

  Property | Value
  ---------|-------
  ```

  </TabItem>
</Tabs>
